Generate static code from a Figma frame for an application
curl --request POST \
--url https://sapi.withsutro.com/applications/{applicationId}/figma/generate-static-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-sutro-api-client: <api-key>' \
--data '
{
"fileKey": "<string>",
"frameId": "<string>",
"accessToken": "<string>"
}
'import requests
url = "https://sapi.withsutro.com/applications/{applicationId}/figma/generate-static-code"
payload = {
"fileKey": "<string>",
"frameId": "<string>",
"accessToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-sutro-api-client": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-sutro-api-client': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fileKey: '<string>', frameId: '<string>', accessToken: '<string>'})
};
fetch('https://sapi.withsutro.com/applications/{applicationId}/figma/generate-static-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}figma-integration
Generate static code from a Figma frame for an application
Enqueues a job to generate static HTML/CSS code from a Figma frame for this application. This is an async operation - use GET /applications//status to check the generation status, and GET /applications//webBundle to download the result when ready.
Generate static code from a Figma frame for an application
Authorizations
Builder authentication and authorization
A unique identifier for the API Client making a request
Path Parameters
Body
application/json
Response
Generation job has been queued
Whether the job was successfully queued
Was this page helpful?
⌘I